/**
 * Angles are specified in degrees and minutes with three decimal digits
 * 
 * @author Uno Holmer
 * @version 2009-12-01
 */
public class Angle implements Cloneable
{
    private int degrees;
    private float minutes;

	public Angle(int degrees,float minutes)	{
        this.degrees = degrees;
        this.minutes = minutes;
	}
	
	public int getDegrees() {
        return degrees;
    }
    
    public float getMinutes() {
        return minutes;
    }
    
    @Override
    public Angle clone() {
        try {
            return (Angle)super.clone();
        }
        catch (CloneNotSupportedException e ) {
            throw new InternalError();
        }
    }
}

