/**
 * A latitude angle is specified relative to the equator in north or south direction.
 * 
 * @author Uno Holmer
 * @version 2009-12-01
 */
public class LatitudeAngle extends Angle
{
    private boolean isNorth;

	public LatitudeAngle(boolean isNorth,int degrees,float minutes)
	{
	    super(degrees,minutes);
        this.isNorth = isNorth;
	}
	
	@Override
	public LatitudeAngle clone() {
	    return (LatitudeAngle)super.clone();
	}
	
	public boolean getIsNorth()
    {
        return isNorth;
    }
}
